# Remix

<mark style="color:green;">`POST`</mark> `https://api.apiframe.pro/ideogram-remix`

**Headers**

| Name                                            | Value                 |
| ----------------------------------------------- | --------------------- |
| Content-Type                                    | `application/json`    |
| Authorization<mark style="color:red;">\*</mark> | Your APIFRAME API Key |

**Body**

<table><thead><tr><th width="206">Name</th><th width="107">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>image_url</code><mark style="color:red;"><code>*</code></mark></td><td>string</td><td>the url of the image to remix</td></tr><tr><td><code>prompt</code><mark style="color:red;"><code>*</code></mark></td><td>string</td><td>the text prompt to describe the image to generate</td></tr><tr><td><code>image_weight</code><mark style="color:red;"><code>*</code></mark></td><td>integer</td><td>an integer between 1 and 100</td></tr><tr><td><code>style_type</code></td><td>string</td><td>The style for the image; it can be 'GENERAL', 'REALISTIC', 'DESIGN', 'RENDER_3D', or 'ANIME'<br>'GENERAL' by default.</td></tr><tr><td><code>negative_prompt</code></td><td>string</td><td>Describe what you don't want</td></tr><tr><td><code>seed</code></td><td>integer</td><td>The seed for the generation</td></tr><tr><td><code>magic_prompt_option</code></td><td>string</td><td>It can be 'AUTO', 'ON', or 'OFF'<br>'AUTO' by default.</td></tr><tr><td><code>aspect_ratio</code></td><td>string</td><td>Aspect ratio for the image in this format 'ASPECT_X_Y' Default: ASPECT_1_1<br><br>One of the aspect ratio or the resolution is needed, not both.</td></tr><tr><td><code>resolution</code></td><td>string</td><td>The resolution for the image in this format 'RESOLUTION_W_H'<br>Ex: RESOLUTION_1024_1024<br><br>One of the aspect ratio or the resolution is needed, not both.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
// Success, the image has been generated
{
    "task_id": "64cd7965-1b78-42c8-b929-9d7751a2e149",
    "image_urls": [
      "https://cdn.apiframe.pro/images/xxxxxxxxxxxxxx.png"
    ],
    "status": "finished",
    "task_type": "ideogram-remix",
    "seed": 12345
}
```

{% endtab %}

{% tab title="400" %}

```json
// Bad request
{
  "errors": [{ msg: "Invalid request" }]
}
```

{% endtab %}

{% tab title="401" %}

```json
// Invalid API Key
{}
```

{% endtab %}

{% tab title="500" %}

```json
// A server error occured
{}
```

{% endtab %}
{% endtabs %}

Code samples

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const axios = require('axios');
const data = JSON.stringify({
  "prompt": "a sunflower field in the wind",
  "image_url": "https://.....................x.png",
  "image_weight": 50,
});

const config = {
  method: 'post',
  maxBodyLength: Infinity,
  url: 'https://api.apiframe.pro/ideogram-remix',
  headers: { 
    'Content-Type': 'application/json', 
    'Authorization': 'YOUR_API_KEY'
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

url = "https://api.apiframe.pro/ideogram-remix"

payload = json.dumps({
  "prompt": "a sunflower field in the wind",
  "image_url": "https://.....................x.png",
  "image_weight": 50,
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'YOUR_API_KEY'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}

{% tab title="PHP" %}

```php



```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apiframe.ai/ideogram/remix.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
